# osu! Twitch Archive Project

## About This Repository

This repository serves as a community-driven archive for osu! Twitch streams and tournaments. We're preserving osu! content that might otherwise be lost due to Twitch's storage policy changes.

## Why? Twitch VOD Policy Change

As per a recent announcement, VODs on Twitch will be deleted if an account has over 100 hours worth of highlights starting on April 19th. This means any tournament that has solely relied on Twitch highlights for VOD preservation should migrate those VODs to another service if they care about preserving them further.

You can read more about this policy change here: [Twitch VOD Storage Policy](https://help.twitch.tv/s/article/video-on-demand?language=en_US#storage)

## Our Mission

This project aims to:
- Archive important osu! tournaments and events before they're lost
- Create a searchable, well-organized collection of osu! content
- Ensure the community's history and memorable moments are preserved

## Current Archived Channels

- [osulive](https://www.twitch.tv/osulive)
- *(More to be added based on community requests)*

## Accessing the Archive

All archived VODs can be downloaded by visiting [osuarchive.wireway.ch](https://osuarchive.wireway.ch)

Videos are organized by date and event name, using the following format:
```
YYYYMMDD_EventName
```

For example:
```
20150412_osu_Taiko_World_Cup_2015_-_Grand_Finals
```

## Contributing

### Request a Channel

If there's an osu!-related Twitch channel you'd like to see archived:

1. Open an issue with the title: `Channel Request: [ChannelName]`
2. Include in your request:
   - Channel URL
   - Reason for archiving (tournament VODs, instructional content, etc.)
   - Any specific videos that are high priority

### Report Errors or Missing Content

Found an issue with the archive? Please help us fix it:

1. Open an issue with the title: `Error Report: [Brief Description]`
2. Describe the problem in detail:
   - Which channel/video has the issue
   - What's missing or incorrect
   - Any relevant links or screenshots

### Submit a Pull Request

We welcome PRs to improve:
- Documentation
- Archive organization


## License

This repository is for archival purposes only. All content belongs to their respective creators and Twitch. This project does not claim ownership of any archived content.

## Acknowledgements

- Thanks to all contributors who help maintain this archive
- The osu! community for supporting the preservation of its history

---

*This is a community project and is not affiliated with osu! or Twitch officially.*